Package org.eclipse.net4j.util.collection

# Interface IHistoryElement<T>

All Known Implementing Classes:
  `HistoryElement`

public interface IHistoryElement<T>

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`T`
`getData()`
`IHistory<IHistoryElement<T>>`
`getHistory()`
`String`
`getText()`

## Method Details

### getHistory

IHistory<IHistoryElement<T>> getHistory()

### getData

T getData()

### getText

String getText()